<?php
/**
 * Template Name: One column, no sidebar
 *
 * A custom page template without sidebar.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage Brave Bew World
 * @since Brave Bew World 3.0
 */

get_header(); ?>
<div class="hfeed" role="main">
	<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<header>
			<h1 class="entry-title"><?php the_title(); ?></h1>
		</header>
		<div class="entry-content"><?php the_content(); ?></div>
		<footer>
			<nav>
				<?php wp_link_pages( array( 'before' => '' . __( 'Pages:', 'twentyten' ), 'after' => '' ) ); ?>
				<?php edit_post_link( __( 'Edit', 'twentyten' ), '', '' ); ?>
			</nav>
		</footer>
		<?php comments_template( '', true ); ?>
	</article>
	<?php endwhile; ?>
</div><!-- end #main -->
<?php get_footer(); ?>